Skip to main content
POST
Submit a human pull request review

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pullRequestID
string<uuid>
required

Query Parameters

org_id
string<uuid>

The pull request's owning organization to act in: the org_id the PullRequest carries. Required when more than one of the caller's organizations owns the pull request.

Body

application/json
event
enum<string>
required
Available options:
COMMENT,
APPROVE,
REQUEST_CHANGES
expected_head_sha
string
required
Required string length: 40
Pattern: ^[0-9a-f]{40}$
idempotency_key
string<uuid>
required
body
string
comments
object[]

Response

Created

author_is_bot
boolean
required
author_login
string | null
required
Minimum string length: 1
body
string
required
github_review_id
integer<int64>
required
Required range: 1 <= x <= 9007199254740991
html_url
string
required
Minimum string length: 1
state
string
required
Minimum string length: 1
submitted_at
string<date-time>
required